#
#  RAID device info
#  MD1000 Shelves - 25 PD on each
#  2 Perc6/e Controllers, 2 4x SAS ports per card, one MD1000 per port
#
#  mfid0 - RAID6 using 60 PD on 1 controller
#  mfid1 - internal Perc5/i RAID1 system disk
#  mfid2 - same 
#  128KB stripe width, write-back, read-ahead
#
#  someday should use /usr/local/sbin/megarc to do what I did manually
#  eh...util not seeing our Perc6 LSI megaraid...why?

# zpool creation
zpool create testpool mfid0 mfid2

# partial iozone results in this dir.  dd results to see if quick comparison is faster on read
# in which case we may revisit ZFS 

#  note - for iozone tests we limited system memory to 300M using 
#  hw.physmem in /boot/loader.conf.  
#  Not recommended for ZFS to be below 512 generally
#  for this comparison it seems ok

# time dd if=/dev/zero of=/testpool/deletafile bs=1M count=10240
# 10240+0 records in
# 10240+0 records out
# 10737418240 bytes transferred in 25.583037 secs (419708508 bytes/sec)
# 0.000u 7.420s 0:25.58 29.0%     26+172k 0+0io 0pf+0w

# time dd if=/testpool/deletafile of=/dev/null
#20971520+0 records in
#20971520+0 records out
#10737418240 bytes transferred in 112.482991 secs (95458150 bytes/sec)
#3.708u 98.813s 1:52.49 91.1%    26+175k 0+0io 0pf+0w

# trying one more time with bs param in dd read

# time dd if=/dev/zero of=/testpool/deletafile bs=1M count=10240
# time dd if=/testpool/deletafile of=/dev/null bs=1M count=10240
# zpool create at beginning of file

# oldwrite : 25.583037 secs (419708508 bytes/sec)
# write: 24.648936 secs (435613863 bytes/sec)
# oldread: 112.482991 secs (95458150 bytes/sec)
# read:  312.023027 secs (34412262 bytes/sec)

#  wait, that above was really slow, immediate run of... 
# time dd if=/testpool/deletafile of=/dev/null 
# read:  263.235403 secs (40790175 bytes/sec)

# and again repeating first read: 
# read:  342.791713 secs (31323448 bytes/sec)

# again, 20 mins later...
# read: 316.540121 secs (33921192 bytes/sec)
# hmmm...


